Subject: qsort source in cygwin
From: ddcc <[email-masked]>
To: [email-masked]
Cc: [email-masked] (ddcc)
Date: Wed, 17 Feb 2010 14:38:23 -0800 (PST)
List-Id: <cygwin.cygwin.com>

Last year I worked on SixSort, an inplace, single thread sorter that
beats every quicksort variant I can find, including qsort in the C-library.
Except qsort is still faster on small arrays.  The cross-over point
depends on the platform.
Hence I want to see the Cygwin source of qsort.

Q1 Is the Cygwin qsort source available?

Qsort must hide in library because a search in the Cygwin space yields
nothing, not even a man page (reported in 2005).
The 'Cygwin in CVS' page scares the chicken out of me.
Its link http://cygwin.com/cgi-bin/cvsweb.cgi/src/winsup/?cvsroot=src
is a dead end because its utils-link yields nothing.

Q2 Any advice how to dig into CVS? ...
Q3 ... or is there a short cut to get the qsort source?

-- 
Dennis de Champeaux     ddcc AT ontooo DOT com & ddcc AT rs6.risingnet DOT net
Cell: 408 981 9109                             SkypeID: renaissance98
Address: 14519 Bercaw Ln, San Jose, CA 95124, USA

Home page:                          rs6.risingnet.net/~ddcc
Health Info Anytime for Everyone:   www.HealthCheck4Me.info
Exercise for the Mind:              www.SuDoKuChallenge.us 
Marketing site:                     www.OntoOO.com
               >>  Do NOT buy Dell, Mac, Ford, Chrysler  <<

--
Problem reports:       http://cygwin.com/problems.html
FAQ:                   http://cygwin.com/faq/
Documentation:         http://cygwin.com/docs.html
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple